Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nodejs-chrono
Version:        1.0.5
Release:        alt1_9
Summary:        Format dates in JavaScript

License:        MIT
URL:            https://github.com/kkaefer/chrono.js
Source0:        http://registry.npmjs.org/chrono/-/chrono-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(expresso)
Source44: import.info

%description
Allows formatting of time in a `strftime` style, but with syntax taken
from PHP's date function. It implements pretty much all of the tokens
from PHP's date function, except for B (Swatch internet time) and
e (Content/City timezone identifier). You can escape characters with
a `\` (remember to encode the `\` in a string as well). All other
characters will be printed as they appear in the format string.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/chrono
cp -pr package.json index.js lib %{buildroot}/%{nodejs_sitelib}/chrono
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/expresso/bin/expresso


%files
%doc LICENSE README.markdown
%{nodejs_sitelib}/chrono


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_9
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_2
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_1
- initial import

